Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class SlicerBuilderImpl

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.SlicerBuilderImpl

All Implemented Interfaces:
  PartBuilder, SlicerBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

    public class SlicerBuilderImpl

extends PartBuilderSupport
implements SlicerBuilder

creates a DOM Element from slicer member

Author:
  av

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`SlicerBuilderImpl()`

Method Summary
`org.w3c.dom.Element` | `build(Member m)`
`boolean` | `isAvailable()` true, if the current olapModel supports all extensions that are required by this partBuilder.
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `stopBuild()` called after the DOM has been built.

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, getBookmarkState, initialize, setBookmarkState, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### SlicerBuilderImpl

    public SlicerBuilderImpl()

Method Detail

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`
  Overrides:
    `startBuild` in class `PartBuilderSupport`

### stopBuild

    public void stopBuild()

  Description copied from interface: `PartBuilder`
  called after the DOM has been built.

  Specified by:
    `stopBuild` in interface `PartBuilder`
  Overrides:
    `stopBuild` in class `PartBuilderSupport`

### build

    public org.w3c.dom.Element build(Member m)

  Specified by:
    `build` in interface `SlicerBuilder`

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `PartBuilder`
  true, if the current olapModel supports all extensions that are required by this partBuilder. If false, a GUI will not show related items.

  Specified by:
    `isAvailable` in interface `PartBuilder`
  Specified by:
    `isAvailable` in interface `Available`
  Overrides:
    `isAvailable` in class `PartBuilderSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD